BGP Service
All operations require authentication.
1 operationv2/vrackServices/resource
List eligible IP prefixes for BGP ServiceProduction
GET
/v2/ vrackServices/ resource/ {vrackServicesId}/ eligibleBgpAllowedPrefixes
Returns the Additional IPv4 and IPv6 blocks that can be used in the BGP Service of the vRack Services: blocks in the same region that are not used elsewhere.
Path parameters
vrack Services Id
required
string
Vrack services ID
Response
200Eligible Bgp Allowed Prefixessuccessful operation
ipv4
read-only
ipv4 Block []
List of eligible IPv4 prefixes
ipv6
read-only
ipv6 Block []
List of eligible IPv6 prefixes
Example uses vrackServicesId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ vrackServices/ resource/ {vrackServicesId}/ eligibleBgpAllowedPrefixes \
-H "authorization: Bearer $OVH_TOKEN"{ "ipv4": [ "192.0.2.0/24" ], "ipv6": [ "2001:41d0::/128" ]}